Subject: stg pop/push -a nitpick: not handling deleted files

From: Auke Kok <[email-masked]>
Date: Fri, 15 Sep 2006 10:19:40 -0700

Hi,

minor nitpick when working with a patch that deletes a file: stg does not 
handle the 'abandoned' file when popping all patches off - essentially it would 
have to put the file back over an abandoned file.

I'm not sure what the resolution of this would be, but this problem could very 
well be anticipated (after all I just pushed/imported a patch removing the file 
to the stack).

Cheers,

Auke

$ stg pop -a
Popping "all_git_versions.patch" - "all_copyright_update.patch" 
patches...fatal: Untracked working tree file 'drivers/net/e1000/LICENSE' would 
be overwritten by merge.
stg pop: git-read-tree failed (local changes maybe?)